#!/bin/sh
expect shstorage.tcl > profile1_storage.log
date > profile1_volume.log
lvdisplay >> profile1_volume.log
date >> profile1_volume.log

spc1 -run SPC1_INIT -iops 45000 -storage slave_asu.asu -output ~/newtool/spc1_INIT_45k_iops -master 13host.HST
spc1 -run SPC1_VERIFY -iops 100 -storage slave_asu.asu -output ~/newtool/spc1_VERIFY1_100_iops
spc1 -run SPC1_METRICS -iops 2340000 -storage slave_asu.asu -output ~/newtool/spc1_METRICS_2340k_iops -master 13host.HST
spc1 -run SPC1_VERIFY -iops 100 -storage slave_asu.asu -output ~/newtool/spc1_VERIFY2_100_iops
spc1 -run SPC1_PERSIST_1 -iops 585000 -storage slave_asu.asu -output ~/newtool/spc1_PERSIST_585k_iops -master 13host.HST
echo "Power cycle TSC, then Enter to continue"
read

expect shstorage.tcl > profile2_storage.log
date > profile2_volume.log
lvdisplay >> profile2_volume.log
date >> profile2_volume.log
spc1 -run SPC1_PERSIST_2 -iops 585000 -storage slave_asu.asu -output ~/newtool/spc1_PERSIST_585k_iops -master 13host.HST